Retrieve Bucket Totals

Retrieve the totals of a defined bucket for a particular customer.

Use the group_by property to configure how the totals are grouped together (e.g. by bucket_l1, by month, etc...)

Path Params
enum
required

ID of the bucket (whose criteria can be used to calculate totals).

Query Params
string

Month (YYYY-MM) from which the transactions should be returned from, this works in pair with the month_to parameter.

string

Month (YYYY-MM) from which the transactions should be returned to, this works in pair with the month_from parameter.

string

Use this parameter to filter the results returned on the currency associated with each result. Multiple values are accepted. If this parameter is not provided then results of any currency will be returned.

string
Defaults to Etc/UTC

Timezone identifier (e.g. Europe/London) to make month_from/month_to dates relativised to the correct location.

In the case of daylight savings in a location, this ensures that the overall start/end date accounts for those shifts.

See here for list of valid timezone identifiers under TZ identifier.

group_by
array of objects
required
length ≥ 1

Defines hierarchy of groupings for the resulting totals. For example:

group_by=bucket_l1,bucket_l2

Will result in getting groups by L1 buckets, then within those, their respective L2 buckets.

Headers
string
required

The API Client Identifier (Service Application Identifier).

uuid
required

Bud Customer identifier

string

The Bud Customer secret used to encrypt customer data. This is optional only if the customer secret is already stored with Bud (i.e. the host_secret was set to true in the Customer Context when the customer was created).

Response

Language
Credentials
OAuth2
Response
Choose an example:
application/json